/* OS.h, v. 1.6, 2018-01-28 */
/* OS.h, v. 1.5, 2018-01-10 */
/* OS.h, v. 1.4, 2017-11-06 */

/*
 * Copyright (c) 1997-2018 Alexei G. Malinin <Alexei.Malinin@mail.ru>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */


#ifdef WINDOWS
#define R_OPEN_FLAGS	(O_RDONLY|O_BINARY)
#define W_OPEN_FLAGS	(O_CREAT|O_WRONLY|O_BINARY)
#define WE_OPEN_FLAGS	(O_WRONLY|O_BINARY)
#else
#define R_OPEN_FLAGS	(O_RDONLY)
#define W_OPEN_FLAGS	(O_CREAT|O_WRONLY|O_SYNC)
#endif

extern void clear_screen(void);

extern void get_tty_mode(void);

extern void set_tty_raw_mode(void);

extern void restore_tty_mode(void);

extern int get_ch(void);


